Tensorflowをダウングレードする方法

📅 April 05, 2019

⏱️2 min read

tensorflowのバージョンを下げたい時があって,シンプルにまとまってるのがなかったからまとめる.

やりかた

コンソール上で,

$ curl -s https://storage.googleapis.com/tensorflow |xmllint --format - |grep whl

を実行すると,以下のようなインストール可能な,tensorflowのバージョンが出てくる.

                            :
    <Key>mac/gpu/tensorflow_gpu-0.12.0rc1-py3-none-any.whl</Key>
    <Key>mac/gpu/tensorflow_gpu-0.12.1-py2-none-any.whl</Key>
    <Key>mac/gpu/tensorflow_gpu-0.12.1-py3-none-any.whl</Key>
    <Key>mac/gpu/tensorflow_gpu-1.0.0-py2-none-any.whl</Key>
    <Key>mac/gpu/tensorflow_gpu-1.0.0-py3-none-any.whl</Key>
    <Key>mac/gpu/tensorflow_gpu-1.0.0a0-py2-none-any.whl</Key>
    <Key>mac/gpu/tensorflow_gpu-1.0.0a0-py3-none-any.whl</Key>
    <Key>mac/gpu/tensorflow_gpu-1.0.0rc0-py2-none-any.whl</Key>
    <Key>mac/gpu/tensorflow_gpu-1.0.0rc0-py3-none-any.whl</Key>
    <Key>mac/gpu/tensorflow_gpu-1.0.0rc1-py2-none-any.whl</Key>
    <Key>mac/gpu/tensorflow_gpu-1.0.0rc1-py3-none-any.whl</Key>
    <Key>mac/gpu/tensorflow_gpu-1.0.0rc2-py2-none-any.whl</Key>
    <Key>mac/gpu/tensorflow_gpu-1.0.0rc2-py3-none-any.whl</Key>
    <Key>mac/gpu/tensorflow_gpu-1.0.1-py2-none-any.whl</Key>
    <Key>mac/gpu/tensorflow_gpu-1.0.1-py3-none-any.whl</Key>
    <Key>mac/gpu/tensorflow_gpu-1.1.0-py2-none-any.whl</Key>
    <Key>mac/gpu/tensorflow_gpu-1.1.0-py3-none-any.whl</Key>
    <Key>mac/gpu/tensorflow_gpu-1.1.0rc0-py2-none-any.whl</Key>
    <Key>mac/gpu/tensorflow_gpu-1.1.0rc0-py3-none-any.whl</Key>
    <Key>mac/gpu/tensorflow_gpu-1.1.0rc1-py2-none-any.whl</Key>
                            :

上のリストは,OS/{cpu, gpu}/versionになっています.

例えば,python3環境で,CPUのtensorflow-1.0.0をインストールしたければ,

pip install --upgrade https://storage.googleapis.com/tensorflow/mac/cpu/tensorflow-1.0.0-py3-none-any.whl

のように,pipでインストールすることができます.

参考